<?php 
require_once "../modelos/Ordenproduccion.php";
if (strlen(session_id())<1) 
	session_start();

$ordenproduccion 			= new Ordenproduccion();

$idordenproduccion	=isset($_POST["idordenproduccion"])? limpiarCadena($_POST["idordenproduccion"]):"";
$idmaquila			=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$idalmacent1		=isset($_POST["idalmacent1"])? limpiarCadena($_POST["idalmacent1"]):"";
$idvendedor			=isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";
$idusuario			=$_SESSION["idusuario"];
$tipo_comprobante	=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante	=isset($_POST["serie_comprobante"])? limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante	=isset($_POST["num_comprobante"])? limpiarCadena($_POST["num_comprobante"]):"";
$num_ordenproduccion=isset($_POST["num_ordenproduccion"])? limpiarCadena($_POST["num_ordenproduccion"]):"";
$fecha_hora			=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$impuesto			=isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$total_unidades		=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$total_ventad		=isset($_POST["total_ventad"])? limpiarCadena($_POST["total_ventad"]):"";
$iddetallec			=isset($_POST["iddetallec"])? limpiarCadena($_POST["iddetallec"]):"";
$idordenproduccionc	=isset($_POST["idordenproduccionc"])? limpiarCadena($_POST["idordenproduccionc"]):"";
$idarticuloc		=isset($_POST["idarticuloc"])? limpiarCadena($_POST["idarticuloc"]):"";
$tasa_dollar		=isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$idclientedespacho	=isset($_POST["idclientedespacho"])? limpiarCadena($_POST["idclientedespacho"]):"";
$nroguia			=isset($_POST["nroguia"])? limpiarCadena($_POST["nroguia"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idordenproduccion)) {
			$rspta=$ordenproduccion->insertar($idmaquila,$idalmacent1,$idusuario,$tipo_comprobante,$num_ordenproduccion,$fecha_hora,$total_unidades,$nroguia,
			$_POST["idarticulo"],$_POST["cantidad"],$_POST["idarticulocompuesto"],$_POST["idalmacen"],$_POST["idalmacent"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta=$ordenproduccion->actualizar($idordenproduccion,$idmaquila,$idalmacent1,$idusuario,$tipo_comprobante,$num_ordenproduccion,$fecha_hora,$total_unidades,$nroguia,
			$_POST["idarticulo"],$_POST["cantidad"],$_POST["idarticulocompuesto"],$_POST["idalmacen"],$_POST["idalmacent"]);
			echo $rspta ? "Datos actualizado correctamente" : "No se pudo registrar los datos";
		}
	break;
	

	case 'anular':
		$rspta=$ordenproduccion->anular($idordenproduccion);
		echo $rspta ? "Orden de Produccíon anulada correctamente" : "No se pudo anular la Orden de Produccíon";
	break;

	case 'buscarNroGuia':
		$rspta		=$ordenproduccion->buscarNroGuia($nroguia);
		echo json_encode($rspta);
	break;

	case 'procesarordenproduccion':
		$rspta=$ordenproduccion->procesarordenproduccion($idordenproduccion);
		echo $rspta ? "Orden de Produccíon procesada correctamente" : "No se pudo procesar la Orden de Produccíon";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$ordenproduccion->eliminararticulodecafeteriabd($iddetallec,$idordenproduccionc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$ordenproduccion->mostrar($idordenproduccion);
		echo json_encode($rspta);
	break;

	
	case 'listarDetalle':
		//recibimos el idordenproduccion
		$id			=$_GET['id'];
		$rspta		=$ordenproduccion->listarDetalle($id);
		$total		=0;
		$cont		=0;
		$detalles	=0;
		$detallet	="";
		
		$titulo = '<thead style="background-color:#A9D0F5">
						<th style="text-align:center">Opciones</th>
                        <th style="text-align:center">Artículo</th>
                        <th style="text-align:center">Almacen de Insumo</th>
                        <th style="text-align:center">Almacen de Producto Terminado</th>
                        <th style="text-align:center">Cantidad</th>
                        <th style="text-align:center">Subtotal</th>
                        <th style="text-align:center">Actualizar</th>
       	</thead>';
		 
	   	while ($reg=$rspta->fetch_object()) {
			$detallef = '<tr class="filas" id="fila'.$cont.'">
			<td style="text-align:center"><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>.
			<td style="text-align:left"><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td style="text-align:center">'.$reg->almaceni.'</td>
			<td style="text-align:center"><input type="hidden" name="idalmacent[]" id="idalmacent[]" value="'.$reg->idalmacent.'">'.$reg->almacent.'</td>
			<td style="text-align:center"><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:center;background-color:#cffedf;border:none" value="'.number_format($reg->total,2,',','.').'"></td>
			<td style="text-align:center"><input type="text" style="text-align:center;background-color:#c0bebe;border:none" name="subtotald[]" id="subtotald[]"  value="'.number_format($reg->total,2,',','.').'"></td>
			<td style="text-align:center"><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="idordenproduccionsolo[]" id="idordenproduccionsolo[]" value="'.$reg->idordenproduccion.'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmaceni.'">
			<input type="hidden" name="idarticulocompuesto[]" id="idarticulocompuesto[]" value="'.$reg->idarticulocompuesto.'">
			<input type="hidden" name="iva[]" value="'.'0'.'">
			<input type="hidden" name="exentot[]" value="'.'0'.'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'.'1'.'"></input>
			<input type="hidden"  name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->total).'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'.'1'.'">
			<input type="hidden" name="precio_ventad[]" id="precio_ventad[]" value="'.'1'.'">
			<input type="hidden" name="porcentaje[]" id="porcentaje[]"  value="'.number_format(0,2).'">
			<input type="hidden" name="descuento[]" id="descuento[]"  value="'.number_format(0,2).'" >
			<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format(0,2).'">
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'.number_format(0,2).'">
			</td>
			</tr>';
			$detallet 	= 	$detallet.$detallef;
			$total		=	$total+($reg->total);
			$cont		=	$cont+1;
			$detalles	=	$detalles+1;
		}
		
		$final = '<tfoot>
					<th></th>
					<th></th>
					<th></th>
					<th></th>
					<th>TOTAL</th>
					<th><h4 id="totald">'.number_format($total,2,',','.').' Unidades</h4>
						<input type="hidden" name="total_venta1" id="total_venta1" value="'.$total.'">
						<input type="hidden" name="total_venta" id="total_venta" value="'.$total.'">
						<input type="hidden" name="total_ventad" id="total_ventad" value="'.$total.'">
					</th>
					<th></th>
       	 		</tfoot>';
	   echo $titulo.$detallet.$final;
	break;
	

	case 'listarDetallep':
		//recibimos el idordenproduccion
		$id			=$_GET['id'];
		$rspta		=$ordenproduccion->listarDetalle($id);
		$total		=0;
		$cont		=0;
		$detalles	=0;
		$detallet	="";
		
		$titulo = '<thead style="background-color:#A9D0F5">
						<th style="text-align:center">Opciones</th>
                        <th style="text-align:center">Artículo</th>
                        <th style="text-align:center">Almacen de Insumo</th>
                        <th style="text-align:center">Almacen de Producto Terminado</th>
                        <th style="text-align:center">Cantidad</th>
                        <th style="text-align:center">Subtotal</th>
                        <th style="text-align:center">Actualizar</th>
       	</thead>';
		 
	   	while ($reg=$rspta->fetch_object()) {
			$detallef = '<tr class="filas" id="fila'.$cont.'">
			<td style="text-align:center"><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>.
			<td style="text-align:left"><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td style="text-align:center">'.$reg->almaceni.'</td>
      		<td style="text-align:center"><input type="hidden" name="idalmacent[]" id="idalmacent[]" value="'.$reg->idalmacent.'">'.$reg->almacent.'</td>
			<td style="text-align:center"><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:center;background-color:#cffedf;border:none" value="'.number_format($reg->total,2,',','.').'"></td>
			<td style="text-align:center"><input type="hidden" style="text-align:center;background-color:#c0bebe;border:none" name="subtotald[]" id="subtotald[]"  value="'.number_format($reg->total,2,',','.').'">'.number_format($reg->total).'</td>
			<td style="text-align:center"><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="idordenproduccionsolo[]" id="idordenproduccionsolo[]" value="'.$reg->idordenproduccion.'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmaceni.'">
			<input type="hidden" name="idarticulocompuesto[]" id="idarticulocompuesto[]" value="'.$reg->idarticulocompuesto.'">
			<input type="hidden" name="iva[]" value="'.'0'.'">
			<input type="hidden" name="exentot[]" value="'.'0'.'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'.'1'.'"></input>
			<input type="hidden"  name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->total).'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'.'1'.'">
			<input type="hidden" name="precio_ventad[]" id="precio_ventad[]" value="'.'1'.'">
			<input type="hidden" name="porcentaje[]" id="porcentaje[]"  value="'.number_format(0,2).'">
			<input type="hidden" name="descuento[]" id="descuento[]"  value="'.number_format(0,2).'" >
			<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format(0,2).'">
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'.number_format(0,2).'">
			</td>
			</tr>';
			$detallet 	= 	$detallet.$detallef;
			$total		=	$total+($reg->total);
			$cont		=	$cont+1;
			$detalles	=	$detalles+1;
		}
		/*
		<th></th>
                        <th></th>
                        <th>TOTAL</th>
                            
                            <th align="right"><h4 align="right" id="totald"></h4>
                              <input type="hidden" name="total_venta1" id="total_venta1" disabled>
                              <input type="hidden" name="total_venta" id="total_venta">
                              <input type="hidden" name="total_ventad" id="total_ventad">
                            </th>
							
		$("#subtotald").html("Unidades : " +number_format(total,2));
		*/
		$final = '<tfoot>
					<th></th>
					<th></th>
					<th></th>
					<th></th>
					<th>TOTAL</th>
					<th><h4 id="totald">Unidades: '.number_format($total,2,',','.').' Bs.</h4>
					<input type="hidden" name="total_venta1" id="total_venta1" value="'.$total.'">
					<input type="hidden" name="total_venta" id="total_venta" value="'.$total.'">
					<input type="hidden" name="total_ventad" id="total_ventad" value="'.$total.'">
					</th>
					<th></th>
				 </tfoot>';
	   echo $titulo.$detallet.$final;
	break;

	case 'listarDetallen':
		//recibimos el idordenproduccion
		$id			=$_GET['id'];
		$rspta		=$ordenproduccion->listarDetalle($id);
		$total		=0;
		$cont		=0;
		$detalles	=0;
		$detallet	="";
		
		$titulo = '<thead style="background-color:#A9D0F5">
						<th style="text-align:center">Opciones</th>
                        <th style="text-align:center">Artículo</th>
                        <th style="text-align:center">Almacen de Insumo</th>
                        <th style="text-align:center">Almacen de Producto Terminado</th>
                        <th style="text-align:center">Cantidad</th>
                        <th style="text-align:center">Subtotal</th>
                        <th style="text-align:center">Actualizar</th>
       	</thead>';
		 
	   	while ($reg=$rspta->fetch_object()) {
			$detallef = '<tr class="filas" id="fila'.$cont.'">
			<td style="text-align:center"><button type="button" class="btn btn-danger" onclick="eliminarDetalle('.$cont.')">X</button></td>.
			<td style="text-align:left"><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td style="text-align:center">'.$reg->almaceni.'</td>
      		<td style="text-align:center"><input type="hidden" name="idalmacent[]" id="idalmacent[]" value="'.$reg->idalmacent.'">'.$reg->almacent.'</td>
			<td style="text-align:center"><input type="hidden" name="cantidad[]" id="cantidad[]" style="text-align:center;background-color:#cffedf;border:none" value="'.number_format($reg->total,2,',','.').'">'.number_format($reg->total).'</td>
			<td style="text-align:center"><input type="hidden" style="text-align:center;background-color:#c0bebe;border:none" name="subtotald[]" id="subtotald[]"  value="'.number_format($reg->total,2,',','.').'">'.number_format($reg->total).'</td>
			<td style="text-align:center"><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="idordenproduccionsolo[]" id="idordenproduccionsolo[]" value="'.$reg->idordenproduccion.'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmaceni.'">
			<input type="hidden" name="idarticulocompuesto[]" id="idarticulocompuesto[]" value="'.$reg->idarticulocompuesto.'">
			<input type="hidden" name="iva[]" value="'.'0'.'">
			<input type="hidden" name="exentot[]" value="'.'0'.'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'.'1'.'"></input>
			<input type="hidden"  name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->total).'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'.'1'.'">
			<input type="hidden" name="precio_ventad[]" id="precio_ventad[]" value="'.'1'.'">
			<input type="hidden" name="porcentaje[]" id="porcentaje[]"  value="'.number_format(0,2).'">
			<input type="hidden" name="descuento[]" id="descuento[]"  value="'.number_format(0,2).'" >
			<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format(0,2).'">
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'.number_format(0,2).'">
			</td>
			</tr>';
			$detallet 	= 	$detallet.$detallef;
			$total		=	$total+($reg->total);
			$cont		=	$cont+1;
			$detalles	=	$detalles+1;
		}
		/*
		<th></th>
                        <th></th>
                        <th>TOTAL</th>
                            
                            <th align="right"><h4 align="right" id="totald"></h4>
                              <input type="hidden" name="total_venta1" id="total_venta1" disabled>
                              <input type="hidden" name="total_venta" id="total_venta">
                              <input type="hidden" name="total_ventad" id="total_ventad">
                            </th>
							
		$("#subtotald").html("Unidades : " +number_format(total,2));
		*/
		$final = '<tfoot>
					<th></th>
					<th></th>
					<th></th>
					<th></th>
					<th>TOTAL</th>
					<th><h4 id="totald">Unidades: '.number_format($total,2,',','.').' Bs.</h4>
					<input type="hidden" name="total_venta1" id="total_venta1" value="'.$total.'">
					<input type="hidden" name="total_venta" id="total_venta" value="'.$total.'">
					<input type="hidden" name="total_ventad" id="total_ventad" value="'.$total.'">
					</th>
					<th></th>
				 </tfoot>';
	   echo $titulo.$detallet.$final;
	break;

  case 'listar':
		$rspta	=$ordenproduccion->listar();
		$data	=Array();
		
		while ($reg=$rspta->fetch_object()) {
              
			$estado		= '';
			$nroguia	= $reg->nroguia;
			if ($reg->nroguia==''){
				//$nroguia = 'no';
				$nroguia = $reg->num_ordenproduccion;
			}


			if 	($reg->estado=='Pendiente') {
				
				$boton	='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordenproduccion.',\'si\')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idordenproduccion.')"><i class="fas fa-times"></i></button>'.' '.'<button class="btn btn-success btn-xs" onclick="procesarordenproduccion('.$reg->idordenproduccion.',\''.$nroguia.'\')"><i class="fa fa-server"></i></button>';
				//Buscamos los stock en la orden pendiente
				$rspta1	=	$ordenproduccion->listarporordent($reg->idordenproduccion);
				while ($reg1=$rspta1->fetch_object()) {
					$numeroarticulo=$reg1->nroprductosinstock;
				}
				// $estado	='<span class="badge bg-red">Pendiente Nro Articulo Sin Stock ('.$numeroarticulo.')</span>';
				$estado	='<button class="btn btn-warning btn-xs" onclick="mostrarsinstock('.$reg->idordenproduccion.')">Pendiente Nro Articulo Sin Stock ('.$numeroarticulo.')</button>';
			}elseif ($reg->estado=='Procesada'){
				$estado='<span class="badge bg-green">Procesada</span>';
				$boton	='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordenproduccion.',\'no\')"><i class="fa fa-eye"></i></button>'.
						 ' '.
						 '<a target="_blank" href="reportes/OrdendeproduccionInsunoTerminado.php?id='.$reg->idordenproduccion.'"><button class="btn btn-info btn-xs"><i class="fa fa-clone"></i></button></a>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-red">Anulado</span>';
				$boton	='<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordenproduccion.',\'si\')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idordenproduccion.')"><i class="fa fa-check"></i></button>';
			}else{
				$estado='<span class="badge bg-green">Facturado</span>';
			}	

			$url='reportes/ordenproduccionNew.php?id=';	



			/* 
			

						($reg->estado!='Anulado')?
			'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordenproduccion.')"><i class="fa fa-eye"></i></button>'.
			' '.
			'<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idordenproduccion.')"><i class="fas fa-times"></i></button>'
			:
			'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idordenproduccion.')"><i class="fa fa-eye"></i></button>').
			'<button class="btn btn-danger btn-xs" onclick="activar('.$reg->idordenproduccion.')"><i class="fas fa-times"></i></button>'.
			'<a target="_blank" href="'.$url.$reg->idordenproduccion.'"><button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
			*/
			$data[]=array(
				"0"=>'<div style="text-align:center">'.$boton.'</div>',
            	"1"=>'<div style="text-align:center">'.$reg->fecha.'</div>',
            	"2"=>'<div style="text-align:left">'.$reg->maquila.'</div>',
				"3"=>'<div style="text-align:left">'.$reg->articulo.'</div>',
            	"4"=>'<div style="text-align:left">'.$reg->usuario.'</div>',
            	"5"=>'<div style="text-align:center">'.$reg->num_ordenproduccion.'</div>',
            	/* "5"=>$reg->nroguia, */
           		"6"=>'<div style="text-align:center">'.number_format($reg->total_ordenproduccion,2,',','.').'</div>',
				"7"=>'<div style="text-align:center">'.$estado.'</div>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarordenproduccion':
		$rspta=$ordenproduccion->listarordenproduccion();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
					"0"=>'<button class="btn btn-warning" 
					onclick="agregarDetalleordenproduccion('.$reg->idordenproduccion.')">
					<span class="fa fa-plus"></span></button>',
					"1"=>$reg->vendedor,
					"2"=>$reg->cliente,
					"3"=>$reg->zona,
					"4"=>$reg->num_ordenproduccion,
					"5"=>number_format($reg->total_ordenproducciond,2,',','.'),
					"6"=>$reg->estado
					);
		}
		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarm();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Maquila';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectTransportista':
		require_once "../modelos/Transportista.php";
		$transportista = new Transportista();

		$rspta = $transportista->listar();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransportista.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectVendedor':
		require_once "../modelos/Vendedor.php";
		$vendedor 	= new Vendedor();
		$rspta 		= $vendedor->listar();
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idvendedor.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentaa();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->preciopvp.','.$reg->preciopvpd.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulost':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentat();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->preciopvp.','.$reg->preciopvpd.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarproductoformula':
		require_once "../modelos/Productocompuesto.php";
		$articulo	=new Productocompuesto();
		$rspta		=$articulo->listarproductoformula($idmaquila);
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			// ac.idalmacent, alt.nombre AS almacenterminado
			// ac.idalmacen AS idalmaceni,    al.nombre AS almaceninsumo
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacent.',\''.$reg->almacenterminado.'\','.$reg->idalmaceni.',\''.$reg->almaceninsumo.'\',\''.$reg->nombre_articulo.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->idarticulocompuesto.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre_articulo,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentab();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosc':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentac();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulossinstock':
		$rspta		=$ordenproduccion->listarArticulossinstock($idordenproduccion);
		$dataA		=Array();
		$nombrec	='';
		$nombrec1	='';
		while ($reg=$rspta->fetch_object()) {
			/* if ($nombrec!=$reg->articulocompuesto){
				$nombrec	=$reg->articulocompuesto;
				$nombrec1	=$reg->articulocompuesto;
			}else{
				$nombrec1	= '';
			} */
			if ($reg->stockfinal<=0){
				$estado ='<span class="badge bg-red">Sin Stock</span>'; 
			}else{
				$estado ='<span class="badge bg-green">Bien</span>';
			}
			$dataA[]=array(
					"0"=>$reg->articulocompuesto,
					"1"=>$reg->nombre,
					"2"=>number_format($reg->stock,2,',','.'),
					"3"=>number_format($reg->cantidadpedida,2,',','.'),
					"4"=>number_format($reg->stockfinal,2,',','.'),
					"5"=>$estado
					);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarServicios':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosVenta();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.porcentaje, s.descripcion,s.condicion,s.exento 
		$almacen	='N/A';
		$nrolote	='N/A';
		$fechalote	='N/A';
		$data=Array();
		// (idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$almacen.'\',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$nrolote.'\',\''.$fechalote.'\',\''.$reg->exento.'\')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>number_format($reg->porcentaje,2,',','.')
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;

	case 'desactivar':
		$rspta=$ordenproduccion->desactivar($idordenproduccion);
		echo $rspta ? "Orden de Producción Anulada correctamente" : "No se pudo anular los datos";
	break;
	
	case 'activar':
		$rspta=$ordenproduccion->activar($idordenproduccion);
		echo $rspta ? "Orden de Producción pendiente por Procesar" : "No se pudo procesar los datos";
	break;

	case 'agregarDetalleordenproduccion':
		//recibimos el idtarjeta
		$id				=	$_GET['id'];
		$cont			=	$_GET['cont']*1;
		$rspta			=	$ordenproduccion->agregarDetalleordenproduccion($id);
		$imp18_empresa	=	$_SESSION['impuestoart18_empresa'];


		
		

		//$cont	=200;
		while ($reg=$rspta->fetch_object()) {

			/* var fila='<tr class="filas" id="fila'+cont+'">'+
        '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
		'<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
		'<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'+number_format(cantidad)+'"></td>'+
		'<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'+number_format(preciod,2)+'"></td>'+
		td1+
		'<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'+number_format(porcentaje,2)+'"></td>'+
		'<td><input type="text" name="descuentod[]" id="descuentod[]" style="text-align:right;width:120px" value="'+number_format(descuentod,2)+'" ></td>'+
		td+
		'<td><input type="text" style="text-align:right;width:120px" name="subtotald[]" id="subtotald[]"  value="'+number_format(subtotald,2)+'"></td>'+
        //'<td><span id="subtotal'+cont+'" name="subtotal">'+subtotal+'</span></td>'+
		'<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>'+
		'<input type="hidden" name="nrolote[]" value="'+nrolote+'">'+
		'<input type="hidden" name="idordenproduccionsolo[]" id="idordenproduccionsolo[]" value="'+(idordenproduccion*1)+'">'+
		'<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'+idalmacen+'">'+
		'<input type="hidden" name="iva[]" value="'+iva+'">'+
		'<input type="hidden" name="ivad[]" value="'+ivad+'">'+
		'<input type="hidden" name="exentot[]" value="'+exentot+'">'+
		'<input type="hidden" name="exentotd[]" value="'+exentotd+'">'+
		'<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'+number_format(precio,2)+'">'+
		'<input type="hidden" name="subtotal[]" id="subtotal[]"  value="'+number_format(subtotal,2)+'">'+
		'<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'+number_format(preciopvp,2)+'">'+
		'<input type="hidden" name="descuento[]" id="descuento[]" value="'+number_format(descuento,2)+'" >'+
		'</td>'+ */
			//$data	=array($cont,(($reg->iddetalle_ordenproduccion)*1),(($reg->idordenproduccion)*1),(($reg->idarticulo)*1));
			if ($imp18_empresa=='si'){
				$td			=	'<td><input type="text" name="impoart18d[]" id="impoart18d[]" style="text-align:right;width:120px" value="'.number_format($reg->impoart18d,2).'" >
								<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'" ></td>';
				$td1		=	'<td><input type="text" name="precio_ventapvpd[]" id="precio_ventapvpd[]" style="text-align:right;width:120px" value="'.number_format($reg->preciopvpd,2).'"></td>';
			}else{
				$td			=	'<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'">
								<input type="hidden" name="impoart18d[]" id="impoart18d[]" value="'.number_format($reg->impoart18d,2).'">';
				$td1		=	'<input type="hidden" name="precio_ventapvpd[]" id="precio_ventapvpd[]" value="'.number_format($reg->preciopvpd,2).'">';
			}
            echo '<tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->articulo.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad,0,',','.').'" ></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->preciod,2,',','.').'" ></td>
			'.$td1.'
			<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'.number_format($reg->porcentaje,0,',','.').'" ></td>
			<td><input type="text" name="descuentod[]" id="descuentod[]" style="text-align:right;width:120px"value="'.number_format($reg->descuento,2,',','.').'"  ></td>
			'.$td.'
			<td><input type="text" name="subtotald[]" id="subtotald[]" style="text-align:right;width:120px" value="'.number_format($reg->subtotald,2,',','.').'"></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="idordenproduccionsolo[]" id="idordenproduccionsolo[]" value="'.(($reg->idordenproduccion)*1).'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
			<input type="hidden" name="iva[]" value="'.number_format($reg->iva,2,',','.').'">
			<input type="hidden" name="ivad[]" value="'.number_format($reg->ivad,2,',','.').'">
			<input type="hidden" name="exentot[]" value="'.number_format($reg->exentot,2,',','.').'">
			<input type="hidden" name="exentotd[]" value="'.number_format($reg->exentotd,2,',','.').'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]"  value="'.number_format($reg->precio,2,',','.').'" >	
			<input type="hidden" name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2).'">
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'.number_format($reg->preciopvp,2,',','.').'">
			<input type="hidden" name="descuento[]" id="descuento[]" value="'.number_format($reg->descuento,2,',','.').'">
			</td>
			</tr>';
			$cont=$cont+1;
		}
	break;
}
 ?>